WordPress.org

Ready to get started?Download WordPress

Forums

OSM - OpenStreetMap
"[OSM-Plugin-Error]:e_zoomlevel_range" whenever I try save (6 posts)

  1. Agnes
    Member
    Posted 2 years ago #

    Hi
    I am with WordPress 3.3.1 on a gfood Hostway hosting t(not sure the PHP versions & co, but rather latest)
    But I am using it on a localhost for now.

    I have just installed the plugin, but whenever I try to save the settings (even without any change to default) it says:
    [OSM-Plugin-Error]:e_zoomlevel_range
    [OSM-Plugin-Error]:e_options_not_updated

    Then when I insert a basic shortcode in my page, it works, but if I add advanced options (like marker, etc) it does not render anything.
    Ex:
    [osm_map lat="-29.515" long="27.619" zoom="11" width="600" height="450" map_border="thin solid black" control="mouseposition" m_txt_01="Morija" m_txt_02="Lesotho" m_txt_03="" m_txt_04="" marker_routing="ors" theme="dark" marker="46.272,1.098" marker_name="wpttemp-red.png" ]

    What should I do to get rid of the zoomlevel error?

    http://wordpress.org/extend/plugins/osm/

  2. Agnes
    Member
    Posted 2 years ago #

    PS: I get the same on my Hostrway install
    Can't give the site, as not live yet
    Agnes

  3. photoweblog
    Member
    Plugin Author

    Posted 2 years ago #

    Hi Agnes,

    the zoomlevel on the option page is not used for standard shortcodes but only if you use the tag in template. I guess these are two different reasons. Even if there is an error in your option page the shortcodes should work. Can you reduce the "advanced options" step by step to see which argument causes the problem. I tried your shortcode and it worked fine.

  4. Agnes
    Member
    Posted 2 years ago #

    Hi, thanks for the reply.
    if I use only the shortcode, then does it mean I could use any option (like marker etc) and it should work without changing any settings?
    Because even if I dont change ANY setting, or change any of them, i get that error :-(

  5. photoweblog
    Member
    Plugin Author

    Posted 2 years ago #

    Q:"if I use only the shortcode, then does it mean I could use any option (like marker etc) and it should work without changing any settings?"

    A: YES. You just have to install the plugin and you even need not to open the settings page.

    Q:"Because even if I dont change ANY setting, or change any of them, i get that error :-("

    A: You get this error in the backend at option page, isn,t it? Did you try to enter a zoomlevel (eg. 9) and save it. This zoomlevel does not influence the maps generated by shortcodes.

  6. Agnes
    Member
    Posted 2 years ago #

    Yes, I get the eror on the backnd when updating options.
    I tried adjusting zom to 1, or to 2 clicks, and get it every time.
    Strange...

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags